Google Cloud Storage
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Google Cloud Storage action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Upload files to GCS/hello-world-0",
"type": "GOOGLE_CLOUD_STORAGE",
"trigger_time": "ON_EVERY_EXECUTION",
"input_type": "SCM_REPOSITORY",
"local_path": "/assets",
"remote_path": "/public",
"bucket_name": "hello-world-0",
"public_access": false,
"application_name": "hello-world",
"deployment_excludes": [
"/tmp/",
"*.log"
],
"deployment_includes": [
"/assets/style",
"/tmp/file.txt"
],
"integration": {
"identifier": "gcp"
}
}'STATUS200 OK